aboutsummaryrefslogtreecommitdiff
path: root/docker/jazzer-autofuzz/entrypoint.sh
diff options
context:
space:
mode:
authorMuhammad Haseeb Ahmad <mhahmad@google.com>2021-12-30 18:23:53 +0000
committerAutomerger Merge Worker <android-build-automerger-merge-worker@system.gserviceaccount.com>2021-12-30 18:23:53 +0000
commit268d7f757f82e6e706cd4f5dfcb854fc2342b053 (patch)
treec5880647e8b29782d15be0c99a60e56fed6f8a02 /docker/jazzer-autofuzz/entrypoint.sh
parentb997679abe998d84ad4b9c3e6589342794d3bfcb (diff)
parent0f73d9c5add52fa24500a9ddb691528db216e096 (diff)
downloadjazzer-api-268d7f757f82e6e706cd4f5dfcb854fc2342b053.tar.gz
Merge remote-tracking branch 'aosp/upstream-main' into master am: 5c6f411699 am: 844d7aba71 am: 0f73d9c5ad
Original change: https://android-review.googlesource.com/c/platform/external/jazzer-api/+/1935188 Change-Id: I0c6c57f25d7b033e469b5f869e4de16f0ec62839
Diffstat (limited to 'docker/jazzer-autofuzz/entrypoint.sh')
-rwxr-xr-xdocker/jazzer-autofuzz/entrypoint.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/docker/jazzer-autofuzz/entrypoint.sh b/docker/jazzer-autofuzz/entrypoint.sh
new file mode 100755
index 00000000..78c57f71
--- /dev/null
+++ b/docker/jazzer-autofuzz/entrypoint.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+# Copyright 2021 Code Intelligence GmbH
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+CP="$(/app/coursier.jar fetch --classpath "$1")"
+/app/jazzer_driver \
+ -artifact_prefix=/fuzzing/ \
+ --reproducer_path=/fuzzing \
+ --cp="$CP" \
+ --autofuzz="$2" \
+ "${@:3}"